Skip to main content
GET
/
api
/
addresses
/
transactions
/
{address}
Address transactions
curl --request GET \
  --url https://nexus.gerowallet.io/api/addresses/transactions/{address} \
  --header 'Authorization: Bearer <token>'
[
  {
    "txHash": "<string>",
    "txIndex": 123,
    "blockHeight": 123,
    "blockTime": 123,
    "epochNo": 123,
    "slot": 123,
    "input": true,
    "output": true
  }
]

Authorizations

Authorization
string
header
required

JWT Token Authentication

Path Parameters

address
string
required
Required string length: 1 - 200
Pattern: ^[a-zA-Z0-9_]+$

Query Parameters

network
enum<string>
Available options:
CARDANO_MAINNET,
CARDANO_PREPROD,
CARDANO_PREVIEW,
APEX_PRIME_MAINNET,
APEX_VECTOR_MAINNET,
APEX_VECTOR_TESTNET,
MIDNIGHT_MAINNET,
MIDNIGHT_PREPROD,
MIDNIGHT_PREVIEW,
BITCOIN_MAINNET,
BITCOIN_TESTNET4
page
integer<int32>
default:1

Page number (1-based)

Required range: 1 <= x <= 1000
pageSize
integer<int32>
default:100

Number of items per page

Required range: 1 <= x <= 100
fromBlockHeight
integer<int32>

Only return transactions at or after this block height

Required range: x >= 0

Response

Transactions on the address.

txHash
string
txIndex
integer<int32>
blockHeight
integer<int64>
blockTime
integer<int64>
epochNo
integer<int32>
slot
integer<int64>
input
boolean
output
boolean